import request from '@/utils/request'

// 查询食品生产许可证品种明细列表
export function listDetali(query) {
  return request({
    url: '/basicData/xcrFoodProductionLicenseDetali/findByPage',
    method: 'get',
    params: query
  })
}

// 查询食品生产许可证品种明细详细
export function getDetali(xhCodeId) {
  return request({
    url: '/basicData/xcrFoodProductionLicenseDetali/' + xhCodeId,
    method: 'get'
  })
}

// 新增食品生产许可证品种明细
export function addDetali(data) {
  return request({
    url: '/basicData/xcrFoodProductionLicenseDetali',
    method: 'post',
    data: data
  })
}

// 修改食品生产许可证品种明细
export function updateDetali(data) {
  return request({
    url: '/basicData/xcrFoodProductionLicenseDetali',
    method: 'put',
    data: data
  })
}

// 删除食品生产许可证品种明细
export function delDetali(xhCodeId) {
  return request({
    url: '/basicData/xcrFoodProductionLicenseDetali/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delDetaliBatch(ids) {
  return request.post('/basicData/xcrFoodProductionLicenseDetali/delete',ids)
}
